RTWEIGHT(1)

NAME
rtweight - Calculate weight, centroid and volume data for an mged model, using raytracing

SYNOPSIS
rtweight [ options ... ] model.g objects ...

DESCRIPTION
Rtweight operates on the indicated objects in model.g to calculate the volume and centroid of each region encountered along rays. An auxilary file called .density and region line of sight (LOS) thickness estimates are used to calculate the mass for each region. Rtweight looks for the .density file in the current directory and then in the user's home directory. The file must contain lines with the material number, density in g/cc, and material name, each seperated by some white space.

The following options are recognized.

-s# Number of rays to fire in X and Y directions (square grid). Default is 512 (512x512). Conflicts with -g

-g# Distance between rays in the X and Y directions in millimeters. Conflicts with -s

-a# Select azimuth in degrees. Used with -e and conflicts With -M

-e# Select elevation in degrees. Used with -a and conflicts with -M

-M  Read model2view matrix from standard input. Conflicts with -a and -e

-r  Report individual region weights by region path name and also by region id number. The default only prints the total weight for all the objects specified.

-o file
    Send the output to a specified file. The default is to standard output.

-P# Specify the maximum number of processors (in a multi-processor system) to be used for this execution. The default is the maximum number for the machine.

rtweight also accepts all other options that the rt(1) program implements, such as for non-square views, perspective, etc.

SEE ALSO
mged(1), rt(1), librt(3).

DIAGNOSTICS
Numerous error conditions are possible. Descriptive messages are printed on standard error (file descriptor 2).

AUTHOR
James E. Hunt

COPYRIGHT
This software is Copyright (c) 1988-2007 United States Government as represented by the U.S. Army Research Laboratory. All rights reserved.

BUGS
Most deficiencies observed while using the rtweight program are usually with the librt(3) package instead.

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.